Problème launcher



  • Version : 1.7.2
    API utilisée(s) : Forge 1.7.2 1057
    Recherche: Google et autre forum.
    Explication :
    quand je fait commencer a jouer, j'ai cette erreur qui apparaît, j'ai chercher mais aucun résultat, merci de bien vouloir me donner un coup de main ! Je sais sa viens d'un fichier erroné .json mais quel !?

    Logs console Launcher :

    
    Loaded 1 profile(s); selected 'mathmatboy'
    Refreshing auth…
    Delta time to compare resources: 1420 ms
    Download job 'Resources' skipped as there are no files to download
    Job 'Resources' finished successfully
    Getting syncinfo for selected version
    Queueing library & version downloads
    Unhandled exception in executor net.minecraft.launcher.updater.ExceptionalThreadPoolExecutor$ExceptionalFutureTask@5d2abe5d
    java.util.concurrent.ExecutionException: com.google.gson.JsonSyntaxException: com.google.gson.stream.MalformedJsonException: Expected name at line 7 column 4
    at java.util.concurrent.FutureTask$Sync.innerGet(Unknown Source)
    at java.util.concurrent.FutureTask.get(Unknown Source)
    at net.minecraft.launcher.updater.ExceptionalThreadPoolExecutor$ExceptionalFutureTask.done(ExceptionalThreadPoolExecutor.java:29)
    at java.util.concurrent.FutureTask$Sync.innerSetException(Unknown Source)
    at java.util.concurrent.FutureTask.setException(Unknown Source)
    at java.util.concurrent.FutureTask$Sync.innerRun(Unknown Source)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
    Caused by: com.google.gson.JsonSyntaxException: com.google.gson.stream.MalformedJsonException: Expected name at line 7 column 4
    at com.google.gson.Gson.fromJson(Gson.java:818)
    at com.google.gson.Gson.fromJson(Gson.java:768)
    at com.google.gson.Gson.fromJson(Gson.java:717)
    at com.google.gson.Gson.fromJson(Gson.java:689)
    at net.minecraft.launcher.updater.VersionList.getCompleteVersion(VersionList.java:85)
    at net.minecraft.launcher.updater.VersionManager.getLatestCompleteVersion(VersionManager.java:103)
    at net.minecraft.launcher.GameLauncher.playGame(GameLauncher.java:405)
    at net.minecraft.launcher.ui.bottombar.PlayButtonPanel$1$1.run(PlayButtonPanel.java:34)
    at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
    ... 5 more
    Caused by: com.google.gson.stream.MalformedJsonException: Expected name at line 7 column 4
    at com.google.gson.stream.JsonReader.syntaxError(JsonReader.java:1505)
    at com.google.gson.stream.JsonReader.doPeek(JsonReader.java:494)
    at com.google.gson.stream.JsonReader.hasNext(JsonReader.java:403)
    at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java:166)
    at com.google.gson.internal.bind.TypeAdapterRuntimeTypeWrapper.read(TypeAdapterRuntimeTypeWrapper.java:40)
    at com.google.gson.internal.bind.CollectionTypeAdapterFactory$Adapter.read(CollectionTypeAdapterFactory.java:81)
    at com.google.gson.internal.bind.CollectionTypeAdapterFactory$Adapter.read(CollectionTypeAdapterFactory.java:60)
    at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$1.read(ReflectiveTypeAdapterFactory.java:93)
    at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java:172)
    at com.google.gson.Gson.fromJson(Gson.java:803)
    ... 13 more
    
    

    Voici fichier version.json

    
    "versions": [
    {
    "time": "2014-03-02T16:39:00-0500",
    "id": "1.7.2",
    "type": "release",
    "processArguments": "username_session_version",
    "releaseTime": "2014-03-05T00:00:00-0700"
    }
    ],
    "latest": {
    "snapshot": "1.7.2",
    "release": "1.7.2"
    }
    }
    
    

    et le fichier 1.7.2.json

    
    {
    "minecraftArguments": "--username ${auth_player_name} --session ${auth_session} --version ${version_name} --gameDir ${game_directory} --assetsDir ${game_assets} --tweakClass cpw.mods.fml.common.launcher.FMLTweaker",
    "libraries": [
    {
    "url": "http://mathmatboy.besaba.com/BuildMyFaction/Launcher/maven/",
    "name": "net.minecraftforge:forge:1.7.2-10.12.0.1057",
    },
    {
    "serverreq": true,
    "name": "net.minecraft:launchwrapper:1.9"
    },
    {
    "serverreq": true,
    "name": "org.ow2.asm:asm-all:4.1"
    },
    {
    "serverreq": true,
    "name": "org.scala-lang:scala-library:2.10.2",
    "url": "http://mathmatboy.besaba.com/BuildMyFaction/Launcher/maven/",
    "checksums": [
    "6ba65d12cd09d441083262d6f73d2257fec7c663",
    "65de4339eaed1c3675485fb03a3532fecfd8e8cd"
    ],
    "clientreq": true
    },
    {
    "comment": "Important for Forge, we add this",
    "serverreq": true,
    "name": "org.scala-lang:scala-compiler:2.10.2",
    "url": "http://mathmatboy.besaba.com/BuildMyFaction/Launcher/maven/",
    "checksums": [
    "64c8b1380cc53d6850823d6e4e7ae984aa44ef9c",
    "99fd0ffb66f3088b0cd1071315fd5eb2b2b070ff"
    ],
    "clientreq": true
    },
    {
    "name": "java3d:vecmath:1.3.1"
    },
    {
    "name": "net.sf.trove4j:trove4j:3.0.3"
    },
    {
    "name": "com.ibm.icu:icu4j-core-mojang:51.2"
    },
    {
    "name": "net.sf.jopt-simple:jopt-simple:4.5",
    "serverreq": true
    },
    {
    "name": "lzma:lzma:0.0.1",
    "serverreq": true
    },
    {
    "name": "com.paulscode:codecjorbis:20101023"
    },
    {
    "name": "com.paulscode:codecwav:20101023"
    },
    {
    "name": "com.paulscode:libraryjavasound:20101123"
    },
    {
    "name": "com.paulscode:librarylwjglopenal:20100824"
    },
    {
    "name": "com.paulscode:soundsystem:20120107"
    },
    {
    "name": "io.netty:netty-all:4.0.10.Final"
    },
    {
    "name": "com.google.guava:guava:15.0"
    },
    {
    "name": "org.apache.commons:commons-lang3:3.1"
    },
    {
    "name": "commons-io:commons-io:2.4"
    },
    {
    "name": "net.java.jinput:jinput:2.0.5"
    },
    {
    "name": "net.java.jutils:jutils:1.0.0"
    },
    {
    "name": "com.google.code.gson:gson:2.2.4"
    },
    {
    "name": "com.mojang:authlib:1.3"
    },
    {
    "name": "org.apache.logging.log4j:log4j-api:2.0-beta9"
    },
    {
    "name": "org.apache.logging.log4j:log4j-core:2.0-beta9"
    },
    {
    "rules": [
    {
    "action": "allow"
    },
    {
    "action": "disallow",
    "os": {
    "version": "^10\\.5\\.\\d$",
    "name": "osx"
    }
    }
    ],
    "name": "org.lwjgl.lwjgl:lwjgl:2.9.0"
    },
    {
    "rules": [
    {
    "action": "allow"
    },
    {
    "action": "disallow",
    "os": {
    "version": "^10\\.5\\.\\d$",
    "name": "osx"
    }
    }
    ],
    "name": "org.lwjgl.lwjgl:lwjgl_util:2.9.0"
    },
    {
    "rules": [
    {
    "action": "allow"
    },
    {
    "action": "disallow",
    "os": {
    "version": "^10\\.5\\.\\d$",
    "name": "osx"
    }
    }
    ],
    "extract": {
    "exclude": [
    "META-INF/"
    ]
    },
    "name": "org.lwjgl.lwjgl:lwjgl-platform:2.9.0",
    "natives": {
    "windows": "natives-windows",
    "osx": "natives-osx",
    "linux": "natives-linux"
    }
    },
    {
    "rules": [
    {
    "action": "allow",
    "os": {
    "version": "^10\\.5\\.\\d$",
    "name": "osx"
    }
    }
    ],
    "name": "org.lwjgl.lwjgl:lwjgl:2.9.1-nightly-20131017"
    },
    {
    "rules": [
    {
    "action": "allow",
    "os": {
    "version": "^10\\.5\\.\\d$",
    "name": "osx"
    }
    }
    ],
    "name": "org.lwjgl.lwjgl:lwjgl_util:2.9.1-nightly-20131017"
    },
    {
    "rules": [
    {
    "action": "allow",
    "os": {
    "version": "^10\\.5\\.\\d$",
    "name": "osx"
    }
    }
    ],
    "extract": {
    "exclude": [
    "META-INF/"
    ]
    },
    "name": "org.lwjgl.lwjgl:lwjgl-platform:2.9.1-nightly-20131017",
    "natives": {
    "windows": "natives-windows",
    "osx": "natives-osx",
    "linux": "natives-linux"
    }
    },
    {
    "extract": {
    "exclude": [
    "META-INF/"
    ]
    },
    "name": "net.java.jinput:jinput-platform:2.0.5",
    "natives": {
    "windows": "natives-windows",
    "osx": "natives-osx",
    "linux": "natives-linux"
    }
    }
    ],
    "mainClass": "net.minecraft.launchwrapper.Launch",
    "minimumLauncherVersion": 4,
    "time": "2014-03-05T16:39:00-0500",
    "id": "1.7.2",
    "type": "release",
    "processArguments": "username_session_version",
    "releaseTime": "2014-03-02T00:00:00-0700"
    }
    
    

  • Moddeurs confirmés Rédacteurs Administrateurs

    Salut,
    Launcher custom ? Si oui, ça n'a rien à faire dans cette section. (voir même rien à faire sur ce forum).
    Le problème vient d'une ouverture d'accolade manquante au début du fichier version.json.



  • Je suis désoler si je me suis tromper forum !

    Vous pouver supprime se poste mais merci de m'avoir répondu, de plus, je la mes ou cette accolade manquante ?
    Et oui c'est un launcher custom avec forge (Pour sa j'ai poster ici !)


  • Moddeurs confirmés Rédacteurs Administrateurs

    J'ai déplacé dans la bonne section.
    Elle manque au tout début avant "versions"



  • Ok, je vais test sa mec, merci de ton aide !


    Bon voila j'ai cette erreur qui m’apparaît dans les logs console du launcher !

    
    Queueing library & version downloads
    Unhandled exception in executor net.minecraft.launcher.updater.ExceptionalThreadPoolExecutor$ExceptionalFutureTask@20e8848c
    java.util.concurrent.ExecutionException: com.google.gson.JsonSyntaxException: com.google.gson.stream.MalformedJsonException: Expected name at line 7 column 4
    at java.util.concurrent.FutureTask$Sync.innerGet(Unknown Source)
    at java.util.concurrent.FutureTask.get(Unknown Source)
    at net.minecraft.launcher.updater.ExceptionalThreadPoolExecutor$ExceptionalFutureTask.done(ExceptionalThreadPoolExecutor.java:29)
    at java.util.concurrent.FutureTask$Sync.innerSetException(Unknown Source)
    at java.util.concurrent.FutureTask.setException(Unknown Source)
    at java.util.concurrent.FutureTask$Sync.innerRun(Unknown Source)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
    Caused by: com.google.gson.JsonSyntaxException: com.google.gson.stream.MalformedJsonException: Expected name at line 7 column 4
    at com.google.gson.Gson.fromJson(Gson.java:818)
    at com.google.gson.Gson.fromJson(Gson.java:768)
    at com.google.gson.Gson.fromJson(Gson.java:717)
    at com.google.gson.Gson.fromJson(Gson.java:689)
    at net.minecraft.launcher.updater.VersionList.getCompleteVersion(VersionList.java:85)
    at net.minecraft.launcher.updater.VersionManager.getLatestCompleteVersion(VersionManager.java:103)
    at net.minecraft.launcher.GameLauncher.playGame(GameLauncher.java:405)
    at net.minecraft.launcher.ui.bottombar.PlayButtonPanel$1$1.run(PlayButtonPanel.java:34)
    at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
    … 5 more
    Caused by: com.google.gson.stream.MalformedJsonException: Expected name at line 7 column 4
    at com.google.gson.stream.JsonReader.syntaxError(JsonReader.java:1505)
    at com.google.gson.stream.JsonReader.doPeek(JsonReader.java:494)
    at com.google.gson.stream.JsonReader.hasNext(JsonReader.java:403)
    at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java:166)
    at com.google.gson.internal.bind.TypeAdapterRuntimeTypeWrapper.read(TypeAdapterRuntimeTypeWrapper.java:40)
    at com.google.gson.internal.bind.CollectionTypeAdapterFactory$Adapter.read(CollectionTypeAdapterFactory.java:81)
    at com.google.gson.internal.bind.CollectionTypeAdapterFactory$Adapter.read(CollectionTypeAdapterFactory.java:60)
    at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$1.read(ReflectiveTypeAdapterFactory.java:93)
    at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java:172)
    at com.google.gson.Gson.fromJson(Gson.java:803)
    ... 13 more
    
    

    Et je vais montrer se que j'ai fait, afin voir si je me suis pas tromper

    
    {
    "versions": [
    {
    "time": "2014-03-02T16:39:00-0500",
    "id": "1.7.2",
    "type": "release",
    "processArguments": "username_session_version",
    "releaseTime": "2014-03-05T00:00:00-0700"
    }
    ],
    "latest": {
    "snapshot": "1.7.2",
    "release": "1.7.2"
    }
    }
    
    

  • Moddeurs confirmés Modérateurs

    Après le ] tu as une virgule je crois que c'est ça que fait bug


  • Moddeurs confirmés Rédacteurs Administrateurs

    Je ne vois pas trop d'où ça peut venir 😕
    Celui de Mojang est ici si tu veux :
    https://s3.amazonaws.com/Minecraft.Download/versions/versions.json

    Essaye comme ça :

    {
    "latest": {
    "snapshot": "1.7.2",
    "release": "1.7.2"
    },
    "versions": [
    {
    "id": "1.7.2",
    "time": "2014-03-02T16:39:00-0500",
    "type": "release",
    "processArguments": "username_session_version",
    "releaseTime": "2014-03-05T00:00:00-0700"
    }
    ]
    }
    


  • Toujours même problème robin4002, je vais test celui de Mojang


    Toujours le même problème, p***** comment je vais faire la


  • Moddeurs confirmés Rédacteurs Modérateurs Administrateurs

    Merci de bien vouloir évité d'employer des mots vulgaires.



  • Désoler Superloup10, c'est jusque sa soul quand on trouve pas les erreurs qu'on cherche !


  • Moddeurs confirmés Modérateurs

    @'mathmatboy':

    Désoler Superloup10, c'est jusque sa soul quand on trouve pas les erreurs qu'on cherche !

    Bha tu vois moi j'ai mis deux heure à trouver ce qui fesai crash mon mod, quand on programme il faut être patient



  • Ouais je suis d'accord mais moi sa fait pas 2h00, mais 1 semaine xd :P___Du coup, je fait quoi pour réglé mon problème ?
    J'ai fait beaucoup test aujourd'hui mais j'ai aucune bonne nouvel 😞


  • Moddeurs confirmés Rédacteurs Modérateurs Administrateurs

    Envois-moi ton launcher par mp, ainsi que les sources, je regarderais plus en détail si je trouve des erreurs. Sinon, tu peux toujours m'envoyer le lien du tuto qui t'a permis de créé ce launcher par mp également.

    Pour info, il m'arrive d'être bloqué par des erreurs et de mettre plusieurs semaines à les résoudre. Pour passer de la 1.6.4 à la 1.7.2, il m'a fallu un mois complet.



  • Ouais je vais envoyer sa se soir car la j'ai cour tento dans 20 min 😛
    Et oui aussi, j'ai pas vraiment suivi tuto pour la 1.7.2, j'ai fait comme la 1.6.4



  • Petite question, est ce que je t'envoi mon ftp aussi ?


  • Moddeurs confirmés Rédacteurs Modérateurs Administrateurs

    Je ne pense pas en avoir besoin.



  • ok au pire je t'envoi le site


    voila je té envoyer sa



  • Et puis, ta tu trouver le problème Superloup10 ?


  • Moddeurs confirmés Rédacteurs Modérateurs Administrateurs

    Eh, j'ai une vie aussi, à l'heure où tu me l'as envoyé, je n'étais plus connecté.

    C'est bon, j'ai trouvé ton fichier 1.7.2.json est bourré d'erreur, voici une version clean qui fonctionne :1.7.2.json Mets-le sur ton FTP et ensuite, tu devrais pouvoir lancer Minecraft mais sans pouvoir utiliser de mod.



  • Merci pour ton aide et désoler si je té provoqué un peu.

    Euh la j'ai sa qui m'apparait,

    
    C:\Users\Mathieu\AppData\Roaming\.BuildMyFaction\libraries\org\scala-lang\scala-compiler\2.10.2\scala-compiler-2.10.2.jar for job 'Resources': Didn't have etag so assuming our copy is good
    Job 'Resources' finished successfully
    Getting syncinfo for selected version
    Queueing library & version downloads
    An update to your launcher is available and is required to play 1.7.2\. Please restart your launcher.
    
    

    J'ai restart et toujours même choses 😞


    D'après se que je vois, il veux pas charger le sclala-compiler. Car il est dans les Libraries.


Log in to reply